## mauikit-accounts 4.0.0

=== debian/changelog ===
mauikit-accounts (4.0.0-0zneon+22.04+jammy+release+build6) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2024 01:58:25 +0000

mauikit-accounts (4.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 10:14:11 +0000

mauikit-accounts (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 10:14:11 +0000

mauikit-accounts (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 10:14:06 +0000

mauikit-accounts (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 10:14:06 +0000

mauikit-accounts (2.2.2-neon) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000
