=== debian/control ===
Source: mauikit-accounts
Section: lib
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               mauikit-dev,
               ninja-build,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-accounts.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-accounts
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-accounts
Architecture: any
Depends: libmauikit,
         libmauikitaccounts4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-accounts (<< 4.0.0)
Conflicts: qml-module-org-mauikit-accounts (<< 4.0.0)
Replaces: qml-module-org-mauikit-accounts (<< 4.0.0)
Description: MauiKit Utilities to Handle User Accounts
 MauiKit utilities to handle User Accounts
 .
 This package contains the mauikit accounts qml module.

Package: libmauikitaccounts4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libmauikitaccounts3 (<< 4.0.0)
Conflicts: libmauikitaccounts3 (<< 4.0.0)
Replaces: libmauikitaccounts3 (<< 4.0.0)
Description: MauiKit Utilities to Handle User Accounts
 MauiKit utilities to handle User Accounts
 .
 This package contains the mauikit accounts library.

Package: libmauikitaccounts-dev
Architecture: any
Depends: libmauikitaccounts4,
         qml6-module-org-mauikit-accounts,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit Utilities to Handle User Accounts
 MauiKit utilities to handle User Accounts
 .
 This package contains mauikit accounts development files.
