## mauikit-accounts 4.0.2+p24.04+vstable+git20251019.0656

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vstable+git20251019.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:56:30 +0000
