=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: qml-module-org-mauikit-accounts (<< 4.0.0)
-Conflicts: qml-module-org-mauikit-accounts (<< 4.0.0)
 Replaces: qml-module-org-mauikit-accounts (<< 4.0.0)
 Description: MauiKit Utilities to Handle User Accounts
  MauiKit utilities to handle User Accounts
@@ -40,7 +39,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libmauikitaccounts3 (<< 4.0.0)
-Conflicts: libmauikitaccounts3 (<< 4.0.0)
 Replaces: libmauikitaccounts3 (<< 4.0.0)
 Description: MauiKit Utilities to Handle User Accounts
  MauiKit utilities to handle User Accounts
@@ -58,3 +56,15 @@
  MauiKit utilities to handle User Accounts
  .
  This package contains mauikit accounts development files.
+
+Package: libmauikitaccounts3
+Architecture: all
+Depends: libmauikitaccounts4, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
+
+Package: qml-module-org-mauikit-accounts
+Architecture: all
+Depends: qml6-module-org-mauikit-accounts, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
