## mauikit-accounts 4.0.2+p24.04+vstable+git20260130.0942

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vstable+git20260130.0942-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:42:28 +0000
