## mauikit-accounts 4.0.2+p24.04+vunstable+git20251123.1828

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20251123.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 18:28:48 +0000
