## mauikit-accounts 4.0.2+p24.04+vunstable+git20260130.1243

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260130.1243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:43:18 +0000
