## mauikit-accounts 4.0.2+p24.04+vunstable+git20260205.0758

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260205.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:58:52 +0000
