## mauikit-accounts 4.0.2+p24.04+vunstable+git20260219.0105

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260219.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 01:05:35 +0000
