## mauikit-accounts 4.0.2+p24.04+vunstable+git20260221.0656

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260221.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 21 Feb 2026 06:56:41 +0000
